#
# spec file for package libreoffice-icon-themes
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libreoffice-icon-themes
Version:        3.4.5.5
Release:        14.1
%define         ooo_build_version 3.4.5.5
%define         ooo_piece_version 3.4.5.5
%define         ooo_basis_dir     basis3.4
%define         ooo_home          libreoffice
BuildRequires:  libreoffice-icon-themes-prebuilt = %version
# compat stuff
Provides:       OpenOffice_org-icon-themes = %version
Obsoletes:      OpenOffice_org-icon-themes <= %version
Provides:       OpenOffice_org:%_libdir/%ooo_home/share/config/images.zip
Summary:        Icon Themes for LibreOffice
License:        LGPL-3.0
Group:          Productivity/Office/Suite
Url:            http://www.documentfoundation.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#!ExclusiveArch:  %ix86 x86_64 ppc
BuildArch:      noarch

%description
This package provides various icon themes for the LibreOffice office
suite.


%if 0%{?suse_version} > 01110

%package -n libreoffice-icon-theme-crystal
Summary:        Crystal LibreOffice Icon Theme (KDE3 default)
License:        LGPL-2.1
Group:          Productivity/Office/Suite
Supplements:    packageand(libreoffice:kdebase3-session)
# compat stuff
Provides:       OpenOffice_org-icon-theme-crystal = %version
Obsoletes:      OpenOffice_org-icon-theme-crystal <= %version
Provides:       OpenOffice_org-icon-themes = %version
Provides:       OpenOffice_org-icon-themes:%_datadir/%ooo_home/%ooo_basis_dir/share/config/images_crystal.zip
Obsoletes:      OpenOffice_org-icon-themes <= %version
Provides:       libreoffice-icon-themes = %version
Obsoletes:      libreoffice-icon-themes <= %version

%description -n libreoffice-icon-theme-crystal
This package provides Crystal LibreOffice icon theme. It is used in KDE3 by default.


%package -n libreoffice-icon-theme-galaxy
Summary:        Galaxy LibreOffice Icon Theme (OOo-3.x default)
License:        LGPL-3.0
Group:          Productivity/Office/Suite
Supplements:    libreoffice
# compat stuff
Provides:       OpenOffice_org-icon-theme-galaxy = %version
Obsoletes:      OpenOffice_org-icon-theme-galaxy <= %version
Provides:       OpenOffice_org-icon-themes = %version
Provides:       OpenOffice_org-icon-themes:%_datadir/%ooo_home/%ooo_basis_dir/share/config/images.zip
Obsoletes:      OpenOffice_org-icon-themes <= %version
Provides:       libreoffice-icon-themes = %version
Obsoletes:      libreoffice-icon-themes <= %version
# Andromeda icon theme is not longer available
Provides:       OpenOffice_org-icon-theme-andromeda = %version
Obsoletes:      OpenOffice_org-icon-theme-andromeda <= %version
Provides:       libreoffice-icon-theme-andromeda = %version
Obsoletes:      libreoffice-icon-theme-andromeda <= %version

%description -n libreoffice-icon-theme-galaxy
This package provides Galaxy LibreOffice icon theme. It is used in the original OOo-3.x by default.

%package -n libreoffice-icon-theme-hicontrast
Summary:        Hicontrast LibreOffice Icon Theme
License:        LGPL-3.0
Group:          Productivity/Office/Suite
Supplements:    libreoffice
# compat stuff
Provides:       OpenOffice_org-icon-theme-hicontrast = %version
Obsoletes:      OpenOffice_org-icon-theme-hicontrast <= %version
Provides:       OpenOffice_org-icon-themes = %version
Provides:       OpenOffice_org-icon-themes:%_datadir/%ooo_home/%ooo_basis_dir/share/config/images_hicontrast.zip
Obsoletes:      OpenOffice_org-icon-themes <= %version
Provides:       libreoffice-icon-themes = %version
Obsoletes:      libreoffice-icon-themes <= %version

%description -n libreoffice-icon-theme-hicontrast
This package provides Hicontrast LibreOffice icon theme.


%package -n libreoffice-icon-theme-oxygen
Summary:        Oxygen LibreOffice Icon Theme (KDE4 default)
License:        LGPL-3.0 or CC-BY-SA-3.0
Group:          Productivity/Office/Suite
Supplements:    packageand(libreoffice:kdebase4-workspace)
# compat stuff
Provides:       OpenOffice_org-icon-theme-oxygen = %version
Obsoletes:      OpenOffice_org-icon-theme-oxygen <= %version
Provides:       OpenOffice_org-icon-themes = %version
Provides:       OpenOffice_org-icon-themes:%_datadir/%ooo_home/%ooo_basis_dir/share/config/images_oxygen.zip
Obsoletes:      OpenOffice_org-icon-themes <= %version
Provides:       libreoffice-icon-themes = %version
Obsoletes:      libreoffice-icon-themes <= %version

%description -n libreoffice-icon-theme-oxygen
This package provides Oxygen LibreOffice icon theme. It is used in KDE4 by default.


%package -n libreoffice-icon-theme-tango
Summary:        Tango LibreOffice Icon Theme (GNOME default)
License:        LGPL-3.0
Group:          Productivity/Office/Suite
Supplements:    packageand(libreoffice:gnome-session)
# compat stuff
Provides:       OpenOffice_org-icon-theme-tango = %version
Obsoletes:      OpenOffice_org-icon-theme-tango <= %version
Provides:       OpenOffice_org-icon-themes = %version
Provides:       OpenOffice_org-icon-themes:%_datadir/%ooo_home/%ooo_basis_dir/share/config/images_tango.zip
Obsoletes:      OpenOffice_org-icon-themes <= %version
Provides:       libreoffice-icon-themes = %version
Obsoletes:      libreoffice-icon-themes <= %version
Provides:       OpenOffice_org-icon-theme-industrial = %version
Obsoletes:      OpenOffice_org-icon-theme-industrial <= %version

%description -n libreoffice-icon-theme-tango
This package provides Tango LibreOffice icon theme. It is used in GNOME by default
and obsoleted the old Industrial theme.

%endif

%prep

%build

%install
install -m 755 -d $RPM_BUILD_ROOT%_datadir/%ooo_home/%ooo_basis_dir/share/config
install -m644 %_libdir/%ooo_home/%ooo_basis_dir/share/config/images*.zip $RPM_BUILD_ROOT%_datadir/%ooo_home/%ooo_basis_dir/share/config/

%clean
rm -rf $RPM_BUILD_ROOT

%if 0%{?suse_version} > 01110

%files -n libreoffice-icon-theme-crystal
%defattr(-,root,root)
%dir %_datadir/%ooo_home
%dir %_datadir/%ooo_home/%ooo_basis_dir
%dir %_datadir/%ooo_home/%ooo_basis_dir/share
%dir %_datadir/%ooo_home/%ooo_basis_dir/share/config
%_datadir/%ooo_home/%ooo_basis_dir/share/config/images_crystal.zip

%files -n libreoffice-icon-theme-galaxy
%defattr(-,root,root)
%dir %_datadir/%ooo_home
%dir %_datadir/%ooo_home/%ooo_basis_dir
%dir %_datadir/%ooo_home/%ooo_basis_dir/share
%dir %_datadir/%ooo_home/%ooo_basis_dir/share/config
%_datadir/%ooo_home/%ooo_basis_dir/share/config/images.zip

%files -n libreoffice-icon-theme-hicontrast
%defattr(-,root,root)
%dir %_datadir/%ooo_home
%dir %_datadir/%ooo_home/%ooo_basis_dir
%dir %_datadir/%ooo_home/%ooo_basis_dir/share
%dir %_datadir/%ooo_home/%ooo_basis_dir/share/config
%_datadir/%ooo_home/%ooo_basis_dir/share/config/images_hicontrast.zip

%files -n libreoffice-icon-theme-oxygen
%defattr(-,root,root)
%dir %_datadir/%ooo_home
%dir %_datadir/%ooo_home/%ooo_basis_dir
%dir %_datadir/%ooo_home/%ooo_basis_dir/share
%dir %_datadir/%ooo_home/%ooo_basis_dir/share/config
%_datadir/%ooo_home/%ooo_basis_dir/share/config/images_oxygen.zip

%files -n libreoffice-icon-theme-tango
%defattr(-,root,root)
%dir %_datadir/%ooo_home
%dir %_datadir/%ooo_home/%ooo_basis_dir
%dir %_datadir/%ooo_home/%ooo_basis_dir/share
%dir %_datadir/%ooo_home/%ooo_basis_dir/share/config
%_datadir/%ooo_home/%ooo_basis_dir/share/config/images_tango.zip

%else

# non-split icon themes on older distros

%files
%defattr(-,root,root)
%_datadir/%ooo_home

%endif

%changelog
* Wed Mar 14 2012 pmladek@suse.cz
- maintenance update (bnc#737190, bnc#740453, MaintenanceTracker-45948)
* Wed Mar 14 2012 pmladek@suse.com
- libreoffice-3.4.5.5 == SUSE 3.4.5-rc3 == final
* Mon Mar 12 2012 pmladek@suse.com
- updated to libreoffice-3.4.5.5 (SUSE 3.4.5-rc3)
* Tue Mar  6 2012 pmladek@suse.com
- updated to libreoffice-3.4.5.4 (SUSE 3.4.5-rc2)
* Fri Feb 17 2012 pmladek@suse.com
- updated to libreoffice-3.4.5.3 (SUSE 3.4.5-rc1)
* Thu Dec 15 2011 coolo@suse.com
- fix license to be in spdx.org format
* Wed Nov 23 2011 pmladek@suse.cz
- updated to libreoffice-3.4.4.3 (SUSE 3.4.4-rc1 == final)
* Tue Sep 13 2011 pmladek@suse.com
- maintenance update (bnc#704311, MaintenanceTracker-43152)
* Mon Sep 12 2011 pmladek@suse.com
- libreoffice-3.4.2.6 == SUSE 3.4.2-rc3 == final
* Thu Sep  8 2011 pmladek@suse.com
- updated to libreoffice-3.4.2.6 (SUSE 3.4.2-rc3)
* Fri Sep  2 2011 pmladek@suse.com
- updated to libreoffice-3.4.2.5 (SUSE 3.4.2-rc2)
* Wed Aug 24 2011 pmladek@novell.com
- updated to libreoffice-3.4.2.4 (SUSE 3.4.2-rc1)
* Wed Jul 27 2011 pmladek@novell.com
- updated to libreoffice-3.4.2.3 (3.4.2-rc3)
* Wed Jun  8 2011 pmladek@suse.cz
- updated to libreoffice-3.3.3.1 (3.3.3-rc1)
* Wed Mar 23 2011 pmladek@suse.cz
- libreoffice-3.3.2.2 == 3.3.2-rc2 == final
* Fri Mar 18 2011 pmladek@suse.cz
- updated to libreoffice-3.3.2.2 (3.3.2-rc2)
* Wed Mar  9 2011 pmladek@suse.cz
- updated to libreoffice-3.3.2.1 (3.3.2-rc1)
* Wed Feb 23 2011 pmladek@suse.cz
- libreoffice-3.3.1.2 == 3.3.1-rc2 == final
* Thu Feb 17 2011 pmladek@suse.cz
- fixed typo in the OpenOffice_org-icon-theme-galaxy provides
  and obsoletes
* Wed Feb 16 2011 pmladek@suse.cz
- updated to libreoffice-3.3.1.2 (3.3.1-rc2)
* Tue Feb  8 2011 pmladek@suse.cz
- updated to libreoffice-3.3.1.1 (3.3.1-rc1)
* Mon Jan 31 2011 pmladek@suse.cz
- libreoffice-build-3.3.0.4 == 3.3.0-rc4 == final
* Wed Jan 19 2011 pmladek@suse.cz
- updated to libreoffice-3.3.0.4 (3.3-rc4)
* Tue Jan 11 2011 pmladek@suse.cz
- updated to libreoffice-3.3.0.3 (3.3-rc3)
* Wed Dec 22 2010 pmladek@suse.cz
- removed the very old Andromeda icon theme; had been deprecated by Galaxy
  icon theme long time ago
* Tue Dec 21 2010 pmladek@suse.cz
- updated to libreoffice-3.3.0.2 (3.3-rc2)
* Wed Dec  1 2010 pmladek@suse.cz
- updated to libreoffice-3.3.0.1 (3.3-rc1)
- fixed URL, summary, and description for LibreOffice
* Fri Nov 12 2010 pmladek@suse.cz
- updated to libreoffice-3.2.99.3 (3.3-beta3)
* Wed Oct 20 2010 pmladek@suse.cz
- added missing provides libreoffice-icon-themes to the split icon-themes
  packages
* Thu Oct 14 2010 pmladek@suse.cz
- switched to the LibreOffice code base, http://www.documentfoundation.org/
- renamed packages from OpenOffice_org* to libreoffice*
- updated to libreoffice-3.2.99.2 (3.3-beta2)
* Wed Sep 15 2010 pmladek@suse.cz
- updated to version 3.2.98.1
- removed not longer available industrial subpackage
* Thu Sep  2 2010 pmladek@suse.cz
- updated to version 3.2.1.6
* Tue Aug 24 2010 pmladek@suse.cz
- updated to version 3.2.1.5
* Wed Jun 16 2010 pmladek@suse.cz
- updated to version 3.2.1.4
* Mon May 31 2010 pmladek@suse.cz
- ooo-build-3.2.1.3 == 3.2.1-rc3 == final
* Fri May 28 2010 pmladek@suse.cz
- updated to version 3.2.1.3
* Tue May 25 2010 pmladek@suse.cz
- updated to version 3.2.1.2
* Thu May 13 2010 pmladek@suse.cz
- updated to version 3.2.1.1
- added initial support for build on MeeGo distro
* Fri Apr 23 2010 pmladek@suse.cz
- updated to version 3.2.0.99.3
* Thu Mar 25 2010 pmladek@suse.cz
- updated to version 3.2.0.99.2
* Thu Mar 11 2010 pmladek@suse.cz
- updated to version 3.2.0.99.1
* Fri Feb 26 2010 pmladek@suse.cz
- updated to version 3.2.0.98.1
* Wed Feb 24 2010 pmladek@suse.cz
- updated to version 3.2.0.7
* Thu Feb 18 2010 pmladek@suse.cz
- updated to version 3.2.0.6
* Thu Feb  4 2010 pmladek@suse.cz
- ooo-build-3.2.0.5 == 3.2-rc5 == final
* Thu Feb  4 2010 pmladek@suse.cz
- updated to version 3.2.0.5
* Wed Jan 27 2010 pmladek@suse.cz
- updated to version 3.2.0.4
* Wed Jan 13 2010 pmladek@suse.cz
- updated to version 3.2.0.2
* Sun Dec 20 2009 pmladek@suse.cz
- updated to version 3.2.0.1
* Mon Dec  7 2009 pmladek@suse.cz
- updated to version 3.1.99.4
* Tue Nov 24 2009 pmladek@suse.cz
- updated to version 3.1.99.3
- updated license tags because the Oxygen icon theme was under dual license
  LGPLv3 or CCAttSAv3.0
* Fri Nov 13 2009 pmladek@suse.cz
- updated to version 3.1.99.2
* Thu Oct 29 2009 pmladek@suse.cz
- updated to version 3.1.99.1
* Tue Oct 20 2009 pmladek@suse.cz
- updated to version 3.1.1.4
* Tue Oct  6 2009 pmladek@suse.cz
- updated to version 3.1.1.3
* Tue Sep 22 2009 pmladek@suse.cz
- updated to version 3.1.1.2
- improved dependencies for the split icon themes:
  * do not install Andromeda, Industrial by default
  * install Crystal with OOo and kdebase3-session
  * install Oxygen with OOo and kdebase4-workspace
  * install Tango with OOo and gnome-session
* Tue Sep  1 2009 pmladek@suse.cz
- do not exclude archs for noarch packages
* Mon Aug 31 2009 pmladek@suse.cz
- split each icon theme into separate package for openSUSE-11.2 (bnc#529404)
* Wed Aug 26 2009 pmladek@suse.cz
- updated to version 3.1.1.1
- used more elegant way to install the icon themes; thanks to Lars for hint
* Tue Aug 18 2009 pmladek@suse.cz
- updated to version 3.1.0.99.3
- really packaged all available icon themes (bnc#529233)
* Tue Aug  4 2009 pmladek@suse.cz
- updated to version 3.1.0.99.2
* Thu Jul 23 2009 pmladek@suse.cz
- updated to version 3.1.0.99.1
* Mon Jun 29 2009 pmladek@suse.cz
- updated to version 3.1.0.98.2
* Mon Jun 15 2009 pmladek@suse.cz
- updated to version 3.1.0.98.1
* Thu May 28 2009 pmladek@suse.cz
- updated to version 3.1.0.6
* Tue May 26 2009 pmladek@suse.cz
- updated to version 3.1.0.5
* Fri May 22 2009 pmladek@suse.cz
- updated to version 3.1.0.4
* Thu May 21 2009 pmladek@suse.cz
- updated to version 3.1.0.3
* Tue May 19 2009 pmladek@suse.cz
- updated to version 3.1.0.2
* Fri May 15 2009 pmladek@suse.cz
- updated to version 3.1.0.1
* Thu May  7 2009 pmladek@suse.cz
- updated to version 3.1.0.0
* Thu Apr 30 2009 pmladek@suse.cz
- updated to version 3.0.99.7
* Fri Apr 24 2009 pmladek@suse.cz
- updated to version 3.0.99.6
* Fri Apr 17 2009 pmladek@suse.cz
- updated to version 3.0.99.5
* Wed Apr  8 2009 pmladek@suse.cz
- updated to version 3.0.99.4
* Fri Mar 27 2009 pmladek@suse.cz
- updated to version 3.0.99.3
* Fri Mar 20 2009 pmladek@suse.cz
- updated to version 3.0.99.2
* Tue Mar 10 2009 pmladek@suse.cz
- updated to version 3.0.99.1
* Fri Feb 20 2009 pmladek@suse.cz
- updated to version 3.0.0.16.1
* Fri Feb  6 2009 pmladek@suse.cz
- updated to version 3.0.0.15
* Fri Jan 23 2009 pmladek@suse.cz
- updated to version 3.0.0.13
- added ExclusiveArch: %%%%ix86 x86_64 ppc (bnc#465252)
* Fri Jan  9 2009 pmladek@suse.cz
- updated to version 3.0.0.11
* Fri Dec  5 2008 pmladek@suse.cz
- updated to version 3.0.0.10
* Fri Nov 21 2008 pmladek@suse.cz
- updated to version 3.0.0.9
* Fri Nov  7 2008 pmladek@suse.cz
- updated to version 3.0.0.8
* Mon Oct 27 2008 pmladek@suse.cz
- updated to version 3.0.0.7
* Fri Oct 10 2008 pmladek@suse.cz
- updated to version 3.0.0.6
* Sat Sep 27 2008 pmladek@suse.cz
- updated to version 3.0.0.5
* Thu Sep 11 2008 pmladek@suse.cz
- updated to version 3.0.0.4
* Fri Aug 29 2008 pmladek@suse.cz
- added build dependency on exact version of
  OpenOffice_org-icon-themes-prebuilt to avoid inconsistent state [bnc#421559]
* Tue Aug 26 2008 pmladek@suse.cz
- updated to version 3.0.0.2
* Thu Aug 21 2008 pmladek@suse.cz
- updated to version 3.0.0.1
* Fri Aug 15 2008 pmladek@suse.cz
- updated to version 3.0.0
* Fri Jul 18 2008 pmladek@suse.cz
- updated to version 2.99.25
* Thu Jul  3 2008 pmladek@suse.cz
- updated to version 2.99.21
- updated for the new three layer structure (basis subdir dir)
* Tue Jun 24 2008 pmladek@suse.cz
- updated to version 2.4.1.7
* Thu Jun  5 2008 pmladek@suse.cz
- updated ooo-build to version 2.4.0.14
* Thu May 22 2008 pmladek@suse.cz
- updated ooo-build to version 2.4.0.13
* Fri May  9 2008 pmladek@suse.cz
- updated ooo-build to ooo-build-2.4.0.10
* Thu Apr 24 2008 pmladek@suse.cz
- updated ooo-build to ooo-build-2.4.0.8
* Mon Apr 14 2008 pmladek@suse.cz
- split from the OpenOffice_org-i18n source package to get it faster
